Package net.officefloor.web
Annotation Interface HttpParameters
Annotated on the class of the parameter to indicate it should be a
HttpRequestObjectManagedObjectSource that will load the
HttpRequest parameters onto the object.
This simplifies means to specifying
HttpRequestObjectManagedObjectSource instances by in-lining it with
the code.
- Author:
- Daniel Sagenschneider
-
Optional Element Summary
Optional ElementsModifier and TypeOptional ElementDescriptionAllows specifying the name to bind the object into theHttpRequestState.
-
Element Details
-
bind
String bindAllows specifying the name to bind the object into theHttpRequestState.- Returns:
- Name to bind the object into the
HttpRequestState. The blank default value indicates for theManagedObjectto assign its own unique value.
- Default:
- ""
-